# Reference Documentation

## Protocols

-   [EntryCategory](protocols/EntryCategory.md)
-   [Entryable](protocols/Entryable.md)
-   [Feedable](protocols/Feedable.md)
-   [PodcastEpisode](protocols/PodcastEpisode.md)
-   [SiteDirectory](protocols/SiteDirectory.md)
-   [SiteDirectoryBuilder](protocols/SiteDirectoryBuilder.md)
-   [YouTubeID](protocols/YouTubeID.md)

## Structs

-   [AtomCategory](structs/AtomCategory.md)
-   [AtomEntry](structs/AtomEntry.md)
-   [AtomFeed](structs/AtomFeed.md)
-   [AtomMedia](structs/AtomMedia.md)
-   [Author](structs/Author.md)
-   [CData](structs/CData.md)
-   [CategoryDescriptor](structs/CategoryDescriptor.md)
-   [CategoryLanguage](structs/CategoryLanguage.md)
-   [Enclosure](structs/Enclosure.md)
-   [JSONFeed](structs/JSONFeed.md)
-   [JSONItem](structs/JSONItem.md)
-   [Link](structs/Link.md)
-   [RSSChannel](structs/RSSChannel.md)
-   [RSSFeed](structs/RSSFeed.md)
-   [RSSImage](structs/RSSImage.md)
-   [RSSItem](structs/RSSItem.md)
-   [RSSItemCategory](structs/RSSItemCategory.md)
-   [Site](structs/Site.md)
-   [SiteCategory](structs/SiteCategory.md)
-   [SiteCollectionDirectory](structs/SiteCollectionDirectory.md)
-   [SiteCollectionDirectoryBuilder](structs/SiteCollectionDirectoryBuilder.md)
-   [SiteLanguage](structs/SiteLanguage.md)
-   [SiteLanguageCategory](structs/SiteLanguageCategory.md)
-   [SiteLanguageCategory.Site](structs/SiteLanguageCategory.Site.md)
-   [SiteLanguageContent](structs/SiteLanguageContent.md)
-   [SyndicationUpdate](structs/SyndicationUpdate.md)
-   [WordPressElements.Category](structs/WordPressElements.Category.md)
-   [WordPressElements.PostMeta](structs/WordPressElements.PostMeta.md)
-   [WordPressElements.Tag](structs/WordPressElements.Tag.md)
-   [WordPressPost](structs/WordPressPost.md)
-   [XMLStringInt](structs/XMLStringInt.md)
-   [iTunesDuration](structs/iTunesDuration.md)
-   [iTunesOwner](structs/iTunesOwner.md)

## Classes

-   [SynDecoder](classes/SynDecoder.md)

## Enums

-   [DateFormatterDecoder.RSS](enums/DateFormatterDecoder.RSS.md)
-   [EntryID](enums/EntryID.md)
-   [MediaContent](enums/MediaContent.md)
-   [SyndicationUpdatePeriod](enums/SyndicationUpdatePeriod.md)
-   [Video](enums/Video.md)
-   [WordPressElements](enums/WordPressElements.md)

## Extensions

-   [AtomEntry](extensions/AtomEntry.md)
-   [AtomFeed](extensions/AtomFeed.md)
-   [Entryable](extensions/Entryable.md)
-   [JSONFeed](extensions/JSONFeed.md)
-   [JSONItem](extensions/JSONItem.md)
-   [RSSChannel](extensions/RSSChannel.md)
-   [RSSFeed](extensions/RSSFeed.md)
-   [RSSItem](extensions/RSSItem.md)
-   [SiteDirectory](extensions/SiteDirectory.md)
-   [WordPressPost](extensions/WordPressPost.md)

## Typealiases

-   [SiteCategoryType](typealiases/SiteCategoryType.md)
-   [SiteCollection](typealiases/SiteCollection.md)
-   [SiteCollectionDirectory.CategorySequence](typealiases/SiteCollectionDirectory.CategorySequence.md)
-   [SiteCollectionDirectory.LanguageSequence](typealiases/SiteCollectionDirectory.LanguageSequence.md)
-   [SiteCollectionDirectory.SiteSequence](typealiases/SiteCollectionDirectory.SiteSequence.md)
-   [SiteLanguageType](typealiases/SiteLanguageType.md)
-   [SiteStub](typealiases/SiteStub.md)
-   [SyndicationUpdateFrequency](typealiases/SyndicationUpdateFrequency.md)
-   [WordPressPost.CommentStatus](typealiases/WordPressPost.CommentStatus.md)
-   [WordPressPost.PingStatus](typealiases/WordPressPost.PingStatus.md)
-   [WordPressPost.PostType](typealiases/WordPressPost.PostType.md)
-   [WordPressPost.Status](typealiases/WordPressPost.Status.md)
-   [iTunesEpisode](typealiases/iTunesEpisode.md)
-   [iTunesImage](typealiases/iTunesImage.md)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)